
QGIS Application - Bug report #789

QGIS has a "hole" in my SHAPE file

2007-11-01 03:01 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 10848

Description

Hi:

     The attached SHAPE file is not shown correctly in QGIS. The polygon with an attribute MU equal to 31 is black and cannot be

symbolized, I tried to symbolize it using the MU and the SEC_NAME attributes and it was shown in black in both cases.

Bob Bruce

History

#1 - 2007-11-06 05:16 PM - Martin Dobias

It seems like you've forgotten to attach the shape file :)

#2 - 2007-11-07 08:30 AM - Redmine Admin

I couldn't attach the SHAPE file, the system said that it was too big. It is 638Kb in size when zipped. I will email it to Gary and ask him to attach it.

Bob Bruce

#3 - 2007-11-19 06:02 AM - Jürgen Fischer

Any progress on the testcase shape?

#4 - 2007-11-19 09:11 AM - Redmine Admin

Replying to [comment:3 jef]:

Any progress on the testcase shape?

Hi Jef:

         I emailed the data to Gary hoping that he could attach it but it is not here. Can you attach it if I email it to you? If so then just let me know where to send

it, the zip file is about 700kb. Unfortunately I don't even have an FTP server to put it on.

Bob Bruce

#5 - 2007-11-19 09:29 AM - Jürgen Fischer

go ahead jef <at> norbit.de
#6 - 2007-11-19 12:03 PM - Jürgen Fischer

The file is at http://www.norbit.de/~jef/ForestManagementUnits.zip until this bug is fixed.

#7 - 2007-11-21 12:09 AM - Marco Hugentobler

This works for me correctly (kubuntu linux, 0.9.1 svn). I need to test it on windows later in the day.

Marco

#8 - 2007-11-21 12:16 PM - Redmine Admin

Replying to [comment:7 mhugent]:

This works for me correctly (kubuntu linux, 0.9.1 svn). I need to test it on windows later in the day.

Marco

Hi Marco:

          after Jürgen said the same thing I tested it on three more Windows XP systems, all differently set up and got the same results, namely reproduced

these problems (this ticket and Ticket #820).

Bob

#9 - 2007-11-21 11:30 PM - Marco Hugentobler

I still cannot reproduce this problem, also on windows (both release package and current svn).

#10 - 2007-11-22 07:38 AM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to wontfix

Oh, I can reproduce it now. You are right, it happens if antialiasing is not enabled in the options dialog. This a most likely a Qt bug, so I'm closing this

ticket. As a short-time workaround, you may enable antialiasing (Settings -> Options -> Rendering -> Make lines appear less jagged at the expense of

some drawing performance). The map looks also nicer then.

Marco

#11 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
